# Searches for recipients using predefined parameters

Searches for recipients using predefined parameters

Endpoint: POST /recipients/{tenantId}/search
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed.

## Query parameters:

  - `exclusiveStartKey` (string)
    The start key for the search, for paging support

  - `fieldsToReturn` (string)
    The fields that you want to retrieve; if omitted, the entire object is returned

## Request body:

  - `application/json` (unknown)
    The recipient that you would like to be saved.

## Request fields (application/json):

  - `award_ids` (array)
    IDs of the awards to search

  - `category_ids` (array)
    IDs of the award categories

  - `city` (string)
    City to search

  - `contact_ids` (array)
    The contact ids of the applications

  - `date` (string)
    Date

  - `email_address` (string)

  - `first_name` (string)

  - `ids` (array)
    IDs to search

  - `job_title` (string)

  - `last_name` (string)

  - `name` (string)

  - `nickname` (string)

  - `organization_ids` (array)

  - `owner_type` (string)

  - `state` (string)
    The state

## Response 200:

  - `200` (unknown)
    The recipient search was saved successfully.

## Response 200 fields (application/json):

  - `Items` (array)

  - `Items.award_id` (string)
    The id of the award

  - `Items.category_id` (string)
    The award category

  - `Items.city` (string)
    City to search

  - `Items.contact_id` (string)
    The contact_id of the application

  - `Items.country` (string)
    The country

  - `Items.date` (string)
    The date of award

  - `Items.email_address` (string)
    The email address

  - `Items.id` (string)

  - `Items.name` (string)
    The name

  - `Items.organization_id` (string)
    The organization_id of the application

  - `Items.state` (string)
    The state

  - `LastEvaluatedKey` (string)

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The recipient you supplied was invalid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden.

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The resource could not be found

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 405:

  - `405` (unknown)
    The request method is not allowed.

## Response 405 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 409:

  - `409` (unknown)
    The recipient could not be saved because it refers to/depends on a non-existent object.

## Response 409 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to add recipient based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error.

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

